﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using MvcEFCodeFirst.Data;

namespace MvcEFCodeFirst.DataAccess
{
  public class DbInitializer : DropCreateDatabaseIfModelChanges<CodeStockContext>
  {
    protected override void Seed(CodeStockContext context)
    {
      base.Seed(context);

      context.SessionCategories.Add(new SessionCategory()
        {
          SessionCategoryName = "Code First"
        });

      context.SessionCategories.Add(new SessionCategory()
      {
        SessionCategoryName = "MVC"
      });

      context.SaveChanges();

    }
  }
}
