﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using MvcEFCodeFirst.Resources;

namespace MvcEFCodeFirst.Data
{
  public class SessionCategory
  {
    [Key]
    public int SessionCategoryID { get; set; }

    [StringLength(50, 
      ErrorMessageResourceName = "SessionCategoryName", 
      ErrorMessageResourceType = typeof(Resource))]
    [Required(
      ErrorMessageResourceName = "SessionCategoryNameIsRequered", 
      ErrorMessageResourceType = typeof(Resource))]
    [Display(Name = "SessionCategoryName", ResourceType = typeof(Resource))]
    public string SessionCategoryName { get; set; }

    public virtual ICollection<Session> Sessions { get; set; }
  }
}
