﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using MvcEFCodeFirst.Data;

namespace MvcEFCodeFirst.DataAccess
{
  public class CodeStockContext : DbContext
  {
    public CodeStockContext()
      : base("name=CodeStockMvc")
    {

    }

    public DbSet<Session> Sessions { get; set; }
    public DbSet<Attendee> Attendees { get; set; }
    public DbSet<SessionCategory> SessionCategories { get; set; }

  }
}
